/*
 * (C) 2007, Tom Wheeler.  All rights reserved.
 */
package com.tomwheeler.demo.jcr.worldinfo;

/**
 * <p>
 * This exception is used to abstract away JCR-specific exceptions
 * that may occur when a problem occurs adding, updating, deleting 
 * or accessing information stored in the content repository.
 * </p>
 */
public class DataAccessException extends RuntimeException {

    public DataAccessException(Throwable cause) {
        super(cause);
    }

    public DataAccessException(String message, Throwable cause) {
        super(message, cause);
    }

    public DataAccessException(String message) {
        super(message);
    }
}
